## START: Set by rpmautospec
## (rpmautospec version 0.6.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 49;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

%global commit bd13aee2455c1d137bee45f7d2aedea8dd30115c
%global snapdate 20220717
%global shortcommit %(c=%{commit}; echo ${c:0:7})
Name:           freeopcua
Version:        0
Release:        %autorelease -s %{snapdate}.%{shortcommit}
Summary:        Open Source C++ OPC-UA Server and Client Library

License:        LGPL-3.0-or-later
URL:            http://freeopcua.github.io/
Source0:        https://github.com/FreeOpcUa/freeopcua/archive/%{commit}/%{name}-%{shortcommit}.tar.gz
# Do not override build flags, we want to use the Fedora flags
Patch0:         freeopcua.build-flags.patch
# https://github.com/FreeOpcUa/freeopcua/pull/354
Patch1:         freeopcua.catch-exception-in-destructor.patch
# Upstream has not reacted to a request to add a SOVERSION:
# https://github.com/FreeOpcUa/freeopcua/issues/337
# This patch sets the SOVERSION to 0.1.
Patch2:         freeopcua.set-soversion.patch
# FMT-9 formatter change
Patch3:         freeopcua-fmt9-formatter.patch
# FMT-10 fmt::format change
Patch4:         freeopcua-fmt10-fmt-format.patch
# https://github.com/FreeOpcUa/freeopcua/pull/398
Patch5:         freeopcua-gcc14-headers.patch

BuildRequires:  boost-devel
BuildRequires:  cmake
BuildRequires:  gcc-c++
BuildRequires:  mbedtls-devel
BuildRequires:  spdlog-devel

%description
A LGPL C++ library to develop server and client OPC-UA applications.

%package    devel
Summary:    Development files for %{name}
Requires:   %{name}%{?_isa} = %{version}-%{release}
# The dependencies are not picked up automatically
Requires:   mbedtls-devel
Requires:   spdlog-devel

%description  devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

%prep
%autosetup -p1 -n %{name}-%{commit}

# Remove bundled spdlog
rm -rf include/opc/spdlog


%build
%cmake -DCMAKE_INSTALL_LIBDIR=%{?_lib}
%cmake_build


%install
%cmake_install


%files
%license COPYING
%doc README.md
%{_libdir}/libopc*.so.0.1


%files devel
%{_includedir}/opc
%{_libdir}/cmake/*
%{_libdir}/pkgconfig/*
%{_libdir}/libopc*.so



%changelog
## START: Generated by rpmautospec
* Tue May 21 2024 František Zatloukal <fzatlouk@redhat.com> - 0-49.20220717.bd13aee
- Rebuilt for spdlog 1.14.1

* Wed Jan 24 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0-48.20220717.bd13aee
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Fri Jan 19 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0-47.20220717.bd13aee
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Thu Jan 18 2024 Jonathan Wakely <jwakely@redhat.com> - 0-46.20220717.bd13aee
- Add patch to build with GCC 14

* Wed Jan 17 2024 Jonathan Wakely <jwakely@redhat.com> - 0-45.20220717.bd13aee
- Rebuilt for Boost 1.83

* Wed Jul 19 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0-44.20220717.bd13aee
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Sat Jul 08 2023 Vitaly Zaitsev <vitaly@easycoding.org> - 0-43.20220717.bd13aee
- Rebuilt due to spdlog 1.12 update.

* Thu Jun 29 2023 Mamoru TASAKA <mtasaka@fedoraproject.org> - 0-42.20220717.bd13aee
- More fix for fmtlib 10

* Thu Jun 29 2023 Mamoru TASAKA <mtasaka@fedoraproject.org> - 0-41.20220717.bd13aee
- Patch to support fmtlib 10

* Wed Jun 28 2023 Vitaly Zaitsev <vitaly@easycoding.org> - 0-40.20220717.bd13aee
- Rebuilt due to fmt 10 update.

* Fri Jun 23 2023 Till Hofmann <thofmann@fedoraproject.org> - 0-39.20220717.bd13aee
- Migrate to SPDX license tag

* Mon Feb 20 2023 Jonathan Wakely <jwakely@redhat.com> - 0-38.20220717.bd13aee
- Rebuilt for Boost 1.81

* Thu Jan 19 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0-37.20220717.bd13aee
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Thu Nov 03 2022 Vitaly Zaitsev <vitaly@easycoding.org> - 0-36.20220717.bd13aee
- Rebuilt due to spdlog update.

* Thu Jul 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0-35.20220717.bd13aee
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Wed Jul 20 2022 Mamoru TASAKA <mtasaka@fedoraproject.org> - 0-34.20220717.bd13aee
- Patch for fmt-9

* Sun Jul 17 2022 Till Hofmann <thofmann@fedoraproject.org> - 0-33.20220717.bd13aee
- Upload sources for latest upstream commit

* Sun Jul 17 2022 Till Hofmann <thofmann@fedoraproject.org> - 0-32.20220717.bd13aee
- Update snapshot to latest upstream commit

* Wed May 04 2022 Thomas Rodgers <trodgers@redhat.com> - 0-0.23.20200131.da2b76f
- Rebuilt for Boost 1.78

* Sun Feb 13 2022 Till Hofmann <thofmann@fedoraproject.org> - 0-0.22.20200131.da2b76f
- Rebuild to fix FTI (bz#2044281)

* Thu Jan 20 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0-0.21.20200131.da2b76f
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Fri Aug 06 2021 Jonathan Wakely <jwakely@redhat.com> - 0-0.20.20200131.da2b76f
- Rebuilt for Boost 1.76

* Wed Jul 21 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0-0.19.20200131.da2b76f
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Mon Jul 05 2021 Richard Shaw <hobbes1069@gmail.com> - 0-0.18.20200131.da2b76f
- Rebuild for new fmt version.

* Tue Mar 30 2021 Jonathan Wakely <jwakely@redhat.com> - 0-0.17.20200131.da2b76f
- Rebuilt for removed libstdc++ symbol (#1937698)

* Tue Jan 26 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0-0.16.20200131.da2b76f
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Fri Jan 22 2021 Jonathan Wakely <jwakely@redhat.com> - 0-0.15.20200131.da2b76f
- Rebuilt for Boost 1.75

* Thu Aug 06 2020 Till Hofmann <thofmann@fedoraproject.org> - 0-0.14.20200131.da2b76f
- Adapt to cmake's out-of-source builds

* Sat Aug 01 2020 Fedora Release Engineering <releng@fedoraproject.org> - 0-0.13.20200131.da2b76f
- Second attempt - Rebuilt for
  https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Mon Jul 27 2020 Fedora Release Engineering <releng@fedoraproject.org> - 0-0.12.20200131.da2b76f
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Wed Jun 03 2020 Till Hofmann <thofmann@fedoraproject.org> - 0-0.11.20200131.da2b76f
- Add patch to fix FTBFS with boost 1.73

* Thu Apr 23 2020 Till Hofmann <thofmann@fedoraproject.org> - 0-0.10.20200131.da2b76f
- Update spdlog patch to properly export compiler flags (update to upstream PR #356)

* Tue Apr 21 2020 Till Hofmann <thofmann@fedoraproject.org> - 0-0.9.20200131.da2b76f
- Remove bundled spdlog and build against system spdlog instead

* Thu Apr 16 2020 Till Hofmann <thofmann@fedoraproject.org> - 0-0.8.20200131.da2b76f
- Add patch to set the downstream SOVERSION to 0.1

* Thu Feb 06 2020 Till Hofmann <thofmann@fedoraproject.org> - 0-0.7.20200131.da2b76f
- Add patch to catch exception in UaClient destructor

* Fri Jan 31 2020 Till Hofmann <thofmann@fedoraproject.org> - 0-0.6.20200131.da2b76f
- Update snapshot to latest upstream commit
- Remove upstreamed patches

* Sat Jul 27 2019 Till Hofmann <thofmann@fedoraproject.org> - 0-0.5.20190615.6124e55
- Add patch to fix build failure with boost 1.69

* Sat Jun 15 2019 Till Hofmann <thofmann@fedoraproject.org> - 0-0.4.20190615.6124e55
- Update snapshot to latest upstream commit

* Sun Apr 28 2019 Till Hofmann <thofmann@fedoraproject.org> - 0-0.3.20190417.2f2c886
- Add dependency of devel sub-package on mbedtls-devel

* Sun Apr 28 2019 Till Hofmann <thofmann@fedoraproject.org> - 0-0.2.20190417.2f2c886
- Move cmake and pkgconfig files into devel sub-package

* Wed Apr 17 2019 Till Hofmann <thofmann@fedoraproject.org> - 0-0.1.20190417.2f2c886
- Initial package

## END: Generated by rpmautospec
